SolidCP no longer w...
 
Notifications
Clear all

SolidCP no longer works with Smartermail

71 Posts
8 Users
3 Reactions
4,773 Views
Posts: 22
Topic starter
(@cyberhostpro)
Eminent Member
Joined: 5 years ago

Hi

 

in August 2023 smartertools removed the old API meaning any software still using the legacyAPI will cease to function and it seems SolidCP is using the legacy API.

 

70 Replies
Posts: 22
Topic starter
(@cyberhostpro)
Eminent Member
Joined: 5 years ago

same issue happened with Plesk but they fixed it:

 

https://docs.plesk.com/release-notes/obsidian/change-log/?18055-mu1#18055-mu1

 

Creating a mail user with a strong password on a Plesk server with the SmarterMail Build 8629 installed no longer fails with the “Invalid parameters: SYSADMIN_SECURITY_PASSWORD_REQUIREMENTS” error. (PPPM-14120)

 

can you fix it with SolidCP?  its the same issue for updating users and not just creating them.

Reply
Posts: 37
(@sergio)
Trusted Member
Joined: 8 years ago

Hi,

We would like to help one of my coworkers is reviewing the code of SM100. We already found that the API change alot after the SM100 was developed.

 

When we have news we post where

Regards,

SM

 

Reply
Posts: 22
Topic starter
(@cyberhostpro)
Eminent Member
Joined: 5 years ago

Thanks I look forward to your reply! We’re using the latest build of solidCP and hoping you release an update soon with the fix 

Reply
Posts: 37
(@sergio)
Trusted Member
Joined: 8 years ago
Hi,
 
I are please to announce that we have a quick fix for Smartermail provider.
For a rapid response we change the smartermail provider version 100, anyone that need this quick fix please send me a message, and I will send you the DLL.
 
The fix is for servers that are using the provider Smarter Mail 100 in solidcp but its running version 8629, is substitute the DLL on server component.
If you use Smarter Mail with the provider 10, first you need change the server configuration to provider Smartermail 100.
Our environment its based on Solid CP 1.4.9, if you are in lower version upgrade portal, enterprise, to version 1.4.9.
 
For the future we are preparing a new provider called 8629+, but to create a new provider we need to do a few more thinks, and submit to the Solidcp project managers.
 
Regards,
 
SR
Reply
1 Reply
(@cyberhostpro)
Joined: 5 years ago

Eminent Member
Posts: 22

@sergio I don't see any option to PM you, can you contact me with the DLL please?

Reply
Page 1 / 10
Share: